mailman (1:2.1.29-1ubuntu3+9.0trisquel1) etiona; urgency=medium

  * Rebranded for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 05 Mar 2021 19:42:33 +0000

mailman (1:2.1.29-1ubuntu3) focal; urgency=medium

  * Build-depend on python-all-dev.
  * Build using python2.
  * Use python2 in the postinst and the autopkg test.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Mar 2020 11:09:33 +0100

mailman (1:2.1.29-1build1) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:36:24 +0000

mailman (1:2.1.29-1) unstable; urgency=medium

  * New upstream release.
    - Fixes CVE-2018-13796

 -- Thijs Kinkhorst <thijs@debian.org>  Wed, 05 Sep 2018 05:03:24 +0000

mailman (1:2.1.27-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Arbitrary text injection vulnerability in Mailman CGIs (CVE-2018-13796)
    (Closes: #903674)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 02 Sep 2018 22:23:45 +0200

mailman (1:2.1.27-1) unstable; urgency=medium

  * New upstream release.
    - Fixes CVE-2018-0618
  * Run dh_autoreconf to make build reproducble (closes: 889637).
    Thanks Chris Lamb for the patch.
  * Drop Debian patches mangling translations, upstream is in
    a much better shape nowadays (closes: 901810).
  * Checked for policy 4.1.4, no changes.
  * Set a SUBSCRIBE_FORM_SECRET in mm_cfg.py on new installs,
    to add protection against subscription spam in the default
    installation. Existing installs will not be changed because
    it might break external subscribe forms (closes: 900648).

 -- Thijs Kinkhorst <thijs@debian.org>  Sat, 23 Jun 2018 13:23:17 +0000

mailman (1:2.1.26-1) unstable; urgency=medium

  * New upstream release.
    - Fixes XSS in user options CGI (CVE-2018-5950, closes: #888201)
  * Document that this is the legacy branch of Mailman and that all
    major development is focused on Mailman 3 (package mailman3).

 -- Thijs Kinkhorst <thijs@debian.org>  Sun, 04 Feb 2018 18:23:18 +0000

mailman (1:2.1.25-1) unstable; urgency=medium

  * New upstream release.
  * Checked for policy 4.1.3: removed init.d invocation from
    prerm and also from user instructions.
  * Upgraded to debhelper compat level 11.
  * Replace init script with systemd service file.
    Thanks a lot to Stefan Bühler for the helpful suggestion!
    This also should improve robustness against log rotation.
    (Closes: #881329, #733475, #505638)
  * Packaging cleanups.

 -- Thijs Kinkhorst <thijs@debian.org>  Sun, 07 Jan 2018 18:22:51 +0000

mailman (1:2.1.24-1) unstable; urgency=medium

  * New upstream release.
  * Fixed broken dependencies in SpamAssassin.py (Closes: #838288).
    Thanks Stephen Rothwell for the patch.

 -- Thijs Kinkhorst <thijs@debian.org>  Tue, 05 Sep 2017 14:31:54 +0000

mailman (1:2.1.23-1) unstable; urgency=medium

  * New upstream release.
    - Fixes CSRF in user options (CVE-2016-6893, closes: #835970).

 -- Thijs Kinkhorst <thijs@debian.org>  Tue, 13 Sep 2016 16:01:59 +0000

mailman (1:2.1.22-1) unstable; urgency=medium

  * New upstream release. (Closes: #821367)
  * Checked for policy 3.9.8, no changes.

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 25 Apr 2016 16:39:06 +0000

mailman (1:2.1.20-1) unstable; urgency=medium

  * New upstream release. (Closes: #779911)
    - Drop obsolete patches:
      92_CVE-2015-2775.patch
  * Checked for policy 3.9.6, no changes.
  * Update to debhelper compat level 9.
  * Make postfix-to-mailman.py work with the full recipient email
    address, solving an issue when recipient_delimiter = "-".
    To take advantage of this, change "${user}" to "${recipient}"
    in Postfix' master.cf. Patch by Brian O'Connor. (Closes: #578986)
  * Make package build reproducibly by using install instead of cp
    for installing qmail-to-mailman.py. Patch by Jérémy Bobbio.
    (Closes: #783151)
  * Update example apache.conf for Apache 2.4.
  * Add cron-daemon as dependency alternative to cron. (Closes: #785193)

 -- Thijs Kinkhorst <thijs@debian.org>  Thu, 14 May 2015 14:09:42 +0000

mailman (1:2.1.18-2) unstable; urgency=high

  * Fix security issue: path traversal through local_part.
    Affects installations which use an Exim or Postfix transport
    instead of fixed aliases; attacker needs to be able to place
    files on the local filesystem.
    (CVE-2015-2775, Closes: 781626)

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 06 Apr 2015 15:36:15 +0000

mailman (1:2.1.18-1) unstable; urgency=medium

  * New upstream release.
    - Adds DMARC support. (Closes: #746592)
    - Drop obsolete patches:
      20_qmail_to_mailman.debian.patch
      80_sync_members_unicode.patch
  * Add lsb-release to debian/tests/control. (Closes: #734180)
  * Fix ownership on /var/lib/mailman/archives/private as upstream
    suggests, also reflecting group ownership for public archives.
    Thanks Luca Capello! (closes: #603904)
  * Checked for policy 3.6.5, no changes.

 -- Thijs Kinkhorst <thijs@debian.org>  Thu, 10 Jul 2014 19:27:46 +0200

mailman (1:2.1.16-2) unstable; urgency=medium

  * Upload to unstable, as requested by Thijs; we did not encounter
    any unexpected trouble with the version in experimental, and it
    does fix an RC bug as well as a release goal.

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 03 Feb 2014 14:00:37 +0100

mailman (1:2.1.16-1exp2) experimental; urgency=low

  * Try harder to use UTF-8

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 29 Dec 2013 14:40:17 +0000

mailman (1:2.1.16-1exp1) experimental; urgency=low

  * Convert to UTF-8. (Closes: #398777, #535296, #732929)
  * Apply upstream bugfix for sync_members. (Closes: #732741)

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 29 Dec 2013 02:08:38 +0000

mailman (1:2.1.16-1) unstable; urgency=low

  * New upstream release.

 -- Thijs Kinkhorst <thijs@debian.org>  Wed, 06 Nov 2013 19:57:54 +0100

mailman (1:2.1.16~rc2-1) unstable; urgency=low

  [ Thijs Kinkhorst ]
  * New upstream release candidate.
    - Exposes message-id to templates (closes: #614340).
  * Remove obsolete patches, applied upstream:
    21_newlist_help.patch
  * Updates to Russian debconf templates, thanks Ivan Krylov!
    (closes: #710268).
  * Needs at least version 3.8.0 of logrotate (closes: #687215).
  * Add autopkgtests, thanks Yolanda Robla! (closes: #710095)
  * Packaging cleanup: checked for policy 3.9.4, update Vcs URL,
    recommend default-mta instead of exim4.

  [ Thorsten Glaser ]
  * Prevent losing stderr in the init script when there are many lists.
    (closes: #702002)
  * debian/watch: mangle the epoch away so DDPO is green again.

 -- Thijs Kinkhorst <thijs@debian.org>  Sun, 04 Aug 2013 12:00:05 +0200

mailman (1:2.1.15-1) unstable; urgency=low

  * New upstream release.
  * Improve Exim4 instructions, thanks Andrew Hodgson.
  * Remove obsolete PRIVATE_ARCHIVE_URL variable, thanks Matthew Hall
    (closes: #676481).
  * Correct mmarch man page, thanks Francesco Potortì (closes: #583369).
  * Specify need for MTA=None in postfix-to-mailman.py (closes: #648976).

 -- Thijs Kinkhorst <thijs@debian.org>  Sat, 16 Jun 2012 12:04:40 +0200

mailman (1:2.1.15~rc1-1) unstable; urgency=low

  [ Thijs Kinkhorst ]
  * New upstream release candidate.
  * Remove obsolete patches, applied upstream:
    02_use_dpkg_buildflags.patch
    07_snooze.patch
    59_fix_missing_language_crash.patch
    70_invalid_utf8_dos.patch
    71_date_overflows.patch
    74_admin_non-ascii_emails.patch
    80_CVE-2011-0707_confirm_xss.patch
    99_js_templates.patch

  [ Thorsten Glaser ]
  * Update the watch file for Launchpad

 -- Thijs Kinkhorst <thijs@debian.org>  Sun, 20 May 2012 14:01:42 +0200

mailman (1:2.1.14-4) unstable; urgency=low

  * Ensure CPPFLAGS and LDFLAGS are actually used during build,
    thanks Simon Ruderich for the patch! (closes: #663590)
    Additionally, enable all available hardening features.
  * Checked for policy 3.9.3, add DEP3 patch headers.
  * Add Danish debconf translation, thanks Joe Dalton (closes: #659467).
  * Add 'su root list' statements to logrotate config, to cope
    with logrotate >= 3.8; thanks Joël Bertrand (closes: #653766).
  * Avoid config file prompt for mailman crontab entry if this
    file was unmodified (closes: #655837).

 -- Thijs Kinkhorst <thijs@debian.org>  Sun, 18 Mar 2012 14:12:49 +0100

mailman (1:2.1.14-3) unstable; urgency=low

  * Make man page descruptions match more keywords (closes: #597112).
  * Add cull_bad_shunt command to default cron job (closes: #615204)
    and improve cron job handling in the package.
  * Import dpkg buildflags, also enabling hardening features.
  * Remove gate_news debconf question.

 -- Thijs Kinkhorst <thijs@debian.org>  Sat, 08 Oct 2011 17:27:51 +0200

mailman (1:2.1.14-2) unstable; urgency=low

  [ Thijs Kinkhorst ]
  * Move mail-transport-agent to Recommends, since Mailman can be
    configured to run with a remote MTA (closes: #616292).
  * Update to policy 3.9.2, add build-{arch,indep} targets.

  [ Thorsten Glaser ]
  * Add myself to Uploaders, as suggested by Thijs.
  * Apply patch from Barry Warsaw to switch from python-support
    to dh_python2. (LP: #788514) (Closes: #637398)

 -- Thijs Kinkhorst <thijs@debian.org>  Wed, 17 Aug 2011 12:00:50 +0000

mailman (1:2.1.14-1) unstable; urgency=medium

  * New upstream release. Patches incorporated:
    - 15_mailmanctl_daemonize.patch
    - 83-CVE-2010-3089--bug599833.patch
  * Add upstream patch for CVE-2011-0707: XSS in confirmations.

 -- Thijs Kinkhorst <thijs@debian.org>  Sat, 19 Feb 2011 08:26:43 +0100

mailman (1:2.1.13-4.1) unstable; urgency=high

  * Non-maintainer upload.
  * debian/patches
    - (83): New. CVE-2010-3089 security fix from mailman 2.14. Patch
      thanks to <d+deb@vdr.jp> (grave, security; Closes: #599833).

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 16 Oct 2010 08:46:55 +0300

mailman (1:2.1.13-4) unstable; urgency=medium

  * Fix permissions on /var/lib/mailman/archives/private, so
    archiving works again. Problem introduced in 1:2.1.12-3.
  * Fix invocation of update-rc.d which yields an error when
    not using dependency-based boot (closes: #590249).
  * Checked for policy 3.9.1, no changes needed.

 -- Thijs Kinkhorst <thijs@debian.org>  Tue, 27 Jul 2010 22:56:03 +0200

mailman (1:2.1.13-3) unstable; urgency=low

  * Drop unneeded Indexes option from shipped apache.conf.
  * Eliminate update_rc.d warning by not passing runlevel 1 at stop.
  * Add 25_site_logo patch by Paul Wise (closes: #267243).
  * Do not compress PDF's under /u/s/d/mailman (closes: #582259).
  * Back up ./configure before running autoconf, so it can be restored
    in clean as not to generate irrelevant diff.gz content.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Checked for policy 3.9.0, no changes needed.

 -- Thijs Kinkhorst <thijs@debian.org>  Tue, 13 Jul 2010 21:35:40 +0200

mailman (1:2.1.13-2) unstable; urgency=low

  * postfix-to-mailman.py: check for list existence before stripping off
    administrative suffixes, making it also work for mailing list names
    ending in e.g. -admin. Thanks Axel Beckert for the patch!
    (Closes: #570548)
  * Checked for policy 3.8.4, no changes.
  * Minor fixes pointed out by Lintian.

 -- Thijs Kinkhorst <thijs@debian.org>  Sat, 20 Mar 2010 21:57:55 +0100

mailman (1:2.1.13-1) unstable; urgency=low

  * New upstream release. Patches incorporated:
    - 16_update_debian (partially)
    - 30_pipermail_threads
    - 65_handle_templates_directories
    - 77_header_folding_in_attachments
  * Remove msgfmt.py, only used at build-time (closes: #555416).
  * Remove adduser calls for 'list' user. Base-passwd guarantees it
    to be available, and trying to add it if it were not present may
    lead to inconsistencies regarding expectations for that user.
  * Document second parameter of postfix-to-mailman.py to be
    ${mailbox}, effectively reverting inappropriate fix for #305762
    (closes: #549224).

 -- Thijs Kinkhorst <thijs@debian.org>  Thu, 31 Dec 2009 15:50:29 +0100

mailman (1:2.1.12-3) unstable; urgency=low

  * Remove potentially long running 'find' command in postinst, as
    permissions are already set correctly in the deb. Thanks Paul
    Slootman (closes: #544046).
  * Add Slovak debconf translation, thanks Ivan Masár (closes: #531576).
  * Update 30_pipermail_threads patch to use sequence ID instead of
    message ID, avoids thread breakage in archives. Thanks
    Mark Sapiro.
  * Checked for policy 3.8.3, no changes necessary.

 -- Thijs Kinkhorst <thijs@debian.org>  Sun, 27 Sep 2009 17:36:01 +0200

mailman (1:2.1.12-2) unstable; urgency=low

  [ Lionel Elie Mamane ]
  * README.Exim4.Debian: add debug_print statements
  * apply fix from upstream to 77_header_folding_in_attachments
    to fix bug it introduces: messages with lines starting with
    "From" are split into several messages in the archive.
  * Use autoconf >= 2.50, not 2.13
  * Ensure Mailman locks directory exists before calling update
    (Closes: #513988).

  [ Thijs Kinkhorst ]
  * Apply patch from Tanguy Ortolo updating postfix-to-mailman
    instructions to avoid backscatter mail (Closes: #520040).
  * Remove obsolete unicodify_archives for upgrading sarge->etch.

 -- Lionel Elie Mamane <lmamane@debian.org>  Fri, 22 May 2009 11:09:49 +0200

mailman (1:2.1.12-1) unstable; urgency=low

  * New upstream release.
    + Minimum Python version is now 2.4.
    + Patches obsoleted (incorporated or not useful anymore):
      00_stolen_from_HEAD,
      11_handle_propfind.patch,
      32_MIME_fixup,
      62_new_list_bad_pending_requests,
      67_update_handle_old_versions,
      68_update_catalan,
      78_DeprecationWarning,
      80_fix_string_search.
      Refresh all others. Many thanks to Mark Sapiro and
      Paul Wise for the help in cleaning this up.
    + Fixes bounce handling NotAMemberError (closes: #517997).
  * Various packaging cleanups, upgrade debhelper to level 7.
  * Removes embedded copy of pythonlib/email module.
  * Checked for policy 3.8.1, remove shipped var/{run,lock}
    dirs, they are already created correctly by the init script.

 -- Thijs Kinkhorst <thijs@debian.org>  Sat, 14 Mar 2009 14:18:16 +0100

mailman (1:2.1.11-11) unstable; urgency=high

  [ Debconf Translations ]
  * Updated Vietnamese, thanks Clytie Siddall (closes: #513097).

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 26 Jan 2009 13:42:33 +0100

mailman (1:2.1.11-10) unstable; urgency=low

  [ Debconf Translations ]
  * Updated Catalan, thanks David Planella.

 -- Thijs Kinkhorst <thijs@debian.org>  Wed, 07 Jan 2009 23:09:56 +0100

mailman (1:2.1.11-9) unstable; urgency=high

  [ Debconf Translations ]
  * Updated Spanish, thanks Javier Fernández-Sanguino (closes: #510023).
  * Updated Japanese, thanks Kenshi Muto (closes: #509996).
  * Updated Galician, thanks Marce Villarino (closes: #510002).
  * Updated French, thanks Christian Perrier (closes: #510016).
  * Updated Italian, thanks Luca Monducci (closes: #510107).
  * Updated Swedish, thanks Martin Bagge and Daniel Nylander
    (closes: #510206).
  * Updated Czech, thanks Miroslav Kure (closes: #510230).
  * Updated German, thanks Holger Wansing (closes: #510361).
  * Updated Portuguese, thanks Miguel Figueiredo (closes: 510556).
  * Updated Russian, thanks Sergey Alyoshin (closes: #510614).

 -- Thijs Kinkhorst <thijs@debian.org>  Sun, 04 Jan 2009 12:30:58 +0100

mailman (1:2.1.11-8) unstable; urgency=low

  * Do not stop installation when queue files are present, and this is
    an upgrade from the same version that was already installed. Based
    on a patch by Marcin Owsiany (closes: #468569).
  * When queue files present, offer the administrator the option to
    continue regardless at their own risk. This unfortunately requires
    some extra strings to be translated.
  * Update Dutch translation.
  * Remove mail-transport-agent from init script deps (closes: #508800).

 -- Thijs Kinkhorst <thijs@debian.org>  Sat, 27 Dec 2008 15:18:55 +0100

mailman (1:2.1.11-7) unstable; urgency=low

  [ Thijs Kinkhorst ]
  * Clarify POSTFIX_STYLE_VIRTUAL_DOMAINS syntax, thanks Tomas Pospisek
    (closes: #507519).

  [ Lionel Elie Mamane ]
  * README.Exim4.Debian: Do lookup whole email (with domain, not only
    localpart) in virtual_mailman data file
    (bug introduced in 1:2.1.11-4)
  * README.Exim4.Debian: explain how to regenerate the aliases list
    manually (for people switching their existing configuration to the
    recommended one, or switching MTAs, as opposed to setting up a fresh
    system).

 -- Thijs Kinkhorst <thijs@debian.org>  Sat, 13 Dec 2008 18:40:34 +0100

mailman (1:2.1.11-6) unstable; urgency=high

  * Further site list detection improvements, thanks Adeodato Simó
    for his suggestions.

 -- Thijs Kinkhorst <thijs@debian.org>  Sun, 16 Nov 2008 13:17:10 +0100

mailman (1:2.1.11-5) unstable; urgency=high

  * Make init script also cope with non-specified site list.

 -- Thijs Kinkhorst <thijs@debian.org>  Sun, 09 Nov 2008 11:26:46 +0100

mailman (1:2.1.11-4) unstable; urgency=medium

  [ Lionel Elie Mamane ]
  * Add -loop to list of accepted suffixes for routers in
    README.Exim4.Debian

  [ Thijs Kinkhorst ]
  * Add mischief to logrotate configuration (closes: #504700).
  * Update Mailman group and aliases path in README.Exim4.Debian,
    thanks Kris Popendorf (closes: #504695).
  * Detect a nonstandard site list name, thanks Moritz Naumann
    (closes: #418062).

 -- Thijs Kinkhorst <thijs@debian.org>  Fri, 07 Nov 2008 09:48:10 +0100

mailman (1:2.1.11-3) unstable; urgency=low

  * Updated Catalan debconf translation, thanks David Planella Molas
    (Closes: #494110).
  * Added patch 68_update_catalan to update Catalan program translation,
    thanks Jordi Mallach (Closes: #492297).
  * Add a README.source file referring to quilt.

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 11 Aug 2008 16:06:19 +0200

mailman (1:2.1.11-2) unstable; urgency=low

  * Fix SpamAssassin handler to cope with changed behaviour
    of matches_p() (Closes: #488584).
  * Remove *.pyc from /usr/lb/mailman, and any stale locks on
    package remove (Closes: #458414).

 -- Thijs Kinkhorst <thijs@debian.org>  Tue,  8 Jul 2008 09:43:15 +0200

mailman (1:2.1.11-1) unstable; urgency=low

  * New upstream release.
    Incorporates the following Debian patches:
    - 81_fix_subscribe_2.1.10.patch
    - 61_fix_ru_siteowner.patch
    - 72_fblast_add_shebang.patch
    - 58_fix_es_translation.patch
    Fixes the following Debian bugs:
    - Use html entities when needed in Danish (Closes: #487491).

  * Update Galician debconf translation, thanks Jacobo Tarrio
    (Closes: #482137).
  * Some tweaks to newlist.8 (Closes: #485382).
  * Make quilt usage more dpkg source format 3.0 compatible and
    refresh all patches (Closes: #485253).
  * Checked for policy 3.8.0, no changes necessary.
  * Fix a number of buglets in 99_js_templates.patch.
  * Don't install stop symlinks in runlevels 0 and 6; the default
    sigterm functions very well to stop qrunner.
  * Clarify that MTA="None" is right when using postfix-to-mailman.py
    (Closes: #488644).
  * Remove pidfile after successful qrunner shutdown (Closes: #482880).

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 07 Jul 2008 23:58:33 +0200

mailman (1:2.1.10-2) unstable; urgency=low

  * Apply upstream patch to fix regression in cmd_subscribe
    so that email subscribe to the -subscribe or -join address or the
    -request address with a bare 'subscribe' command results in the message
    being shunted.

 -- Thijs Kinkhorst <thijs@debian.org>  Thu, 24 Apr 2008 19:30:49 +0200

mailman (1:2.1.10-1) unstable; urgency=low

  * New upstream release.

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 21 Apr 2008 22:43:08 +0200

mailman (1:2.1.10~b4-1) unstable; urgency=low

  * New upstream beta release.

 -- Thijs Kinkhorst <thijs@debian.org>  Fri, 14 Mar 2008 17:54:52 +0100

mailman (1:2.1.10~b3-1) unstable; urgency=low

  * New upstream beta release.
    + Restricts XSS by list admins, CVE-2008-0564.
    + Obsoletes 56_fix_de_broken_links.patch.
    + Obsoletes 81_backport_export.dpatch.
    + Makes list handling case sensitivity consistent (closes: #446257).
    + Archives do not drop headerless mime parts (Closes: #450399).
    + check_perms checks more perms (Closes: #260224).

 -- Thijs Kinkhorst <thijs@debian.org>  Fri, 22 Feb 2008 00:09:11 +0100

mailman (1:2.1.9-10) unstable; urgency=low

  * Be quiet when logrotation succeeds, prevents Cron spam (closes: #456954).
  * Fix typo in postinst message (closes: #458981).
  * Switch to debhelper level 6.

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 14 Jan 2008 12:10:05 +0100

mailman (1:2.1.9-9) unstable; urgency=low

  * Drop suggests for obsolete python-*-codecs and drop versioned
    dependencies for pre-oldstable versions.
  * Fix formatting of man pages (Closes: #432848).
  * Fix some bashisms in Debian packaging scripts.
  * Do not make /var/log/mailman world-readable, because it can contain
    a bit of semi-private information. Thanks Alexander Gerasiov.
    (Closes: #450927)
  * After logrotate, call 'mailmanctl reopen' instead of sending SIGHUP
    since that is the supported way of rotating logs (Closes: #424620).
  * Fix pidfile location in mailman.init, thanks Peter Rabbitson
    (Closes: #439325).
  * Make symlinks to /var/lo{g,ck}/mailman absolute, because the relative
    ones cause trouble on systems where people move these things around
    (Closes: #408855, #413604). Override lintian since this is allowed by
    policy.
  * Checked for policy 3.7.3, no changes required. Additional packaging
    cleanups.

 -- Thijs Kinkhorst <thijs@debian.org>  Tue, 04 Dec 2007 09:12:39 +0100

mailman (1:2.1.9-8) unstable; urgency=low

  [ Thijs Kinkhorst ]
  * Added Portuguese debconf translation by Miguel Figueiredo
    (Closes: #414365).
  * Make sure Mailman can be properly purged (Closes: #421676).
  * Remove obsolete upgrading code.
  * Do not break upgrades in case python is temporarily unavailable
    (Closes: #419563).

  [ Lionel Elie Mamane ]
  * Avoid implicit-sort-on-load of indexes being converted to Unicode
    (hopefully really closes: #412142 now)

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 11 Jun 2007 20:48:11 +0200

mailman (1:2.1.9-7) unstable; urgency=low

  * Upgrade subject and author indexes of _all_ archiving volumes to
    Unicode strings. (completely closes: #412142)

 -- Lionel Elie Mamane <lmamane@debian.org>  Wed, 28 Feb 2007 21:59:36 +0100

mailman (1:2.1.9-6) unstable; urgency=medium

  [ Lionel Elie Mamane ]
  * Allow people that have list as a supplementary group to create new
    mailing lists.  (see bug#309339)
  * Upgrade subject and author indexes of current archiving volume to
    Unicode strings; possible slight data loss (non-ASCII characters
    transcoded wrongly) (closes: #412142)
  * Correct path to Mailman private modules dir in dh_pysupport invocation
    (the absolute symlinks won't work in the building area), and add
    private pythonlib dir.

  [ Thijs Kinkhorst ]
  * Fix path-typo in apache.conf dedicated virtual host example,
    thanks Alberto Furia (Closes: #409180).

 -- Lionel Elie Mamane <lmamane@debian.org>  Tue, 27 Feb 2007 22:38:07 +0100

mailman (1:2.1.9-5) unstable; urgency=medium

  * Ship bin/export.py from upstream SVN to make automatic upgrades to
    lenny possible. (closes: #407260)

 -- Lionel Elie Mamane <lmamane@debian.org>  Sat, 20 Jan 2007 05:04:11 +0100

mailman (1:2.1.9-4) unstable; urgency=medium

  [ Lionel Elie Mamane ]
  * Manually replace empty /var/lib/mailman/pythonlib/ by symlink to
    /usr/lib/mailman/pythonlib/ (closes: #403312)

 -- Lionel Elie Mamane <lmamane@debian.org>  Sat, 16 Dec 2006 09:55:21 +0100

mailman (1:2.1.9-3) unstable; urgency=medium

  [ Lionel Elie Mamane ]
  * Follow requirements/requests of upgrade to new python policy more
    narrowly: build-depend on newer version of python-support, add
    XS-Python-Version/XB-Python-Version fields to control, give path to
    private python modules to dh_pysupport (Closes: #394181).
  * Move python-lib directory to /usr/lib/mailman/, like Mailman code;
    /var/lib/mailman is grossly wrong (Closes: #400005).

  [ Thijs Kinkhorst ]
  * Add subscribe/unsubscribe aliases to second half of example, and a
    note about chgrp when creating a new list through the web interface.
    Both in README.Exim4.Debian, thanks Ian Wienand (Closes: 387457).
  * Remove lintian overrides that are not needed with recent Lintians.

  [ Translations ]
  * Updated Vietnamese by Clytie Siddall (Closes: 395851).
  * Updated German by Holger Wansing (Closes: 400963).

 -- Thijs Kinkhorst <thijs@debian.org>  Thu, 14 Dec 2006 15:18:12 +0100

mailman (1:2.1.9-2) unstable; urgency=medium

  [ Thijs Kinkhorst ]
  * Medium urgency upload for RC upgrading bug.
  * Fix buggy sedding in postinst (Closes: #392995).
  * Drop disabled 73_list-id_strict_rfc patch; integrated upstream.
  * Clarify README.Debian about where to insert SpamAssassin integration
    (Closes: #369171).
  * Add 72_fblast_add_shebang patch; this script is set as executable
    thus needs an interpreter on the first line.

  [ Hector Garcia ]
  * Removed 12_savannah_wrapper.patch. Doesn't work and is not supported
    upstream any longer (Closes: #287554).

  [ Translations ]
  * Updated French by Florentin Duneau (Closes: #393096).
  * Updated Brazilian Portuguese by Felipe Augusto van de Wiel.

 -- Thijs Kinkhorst <thijs@debian.org>  Tue, 17 Oct 2006 10:14:57 +0200

mailman (1:2.1.9-1) unstable; urgency=medium

  [ Hector Garcia ]
  * New upstream bugfix release
    - Deleting included patches:
      24_CVE-2006-2941, 23_CVE-2006-3636, 25_CVE-2006-4624
    - Fixes German translation (Closes: #273469) and comment typo
      (Closes: #378509).
  * Updated patches.
  * Deleting 03_documentation_source.patch. Integrated upstream.
  * Deleting 68_translation_update_nl.patch. Too many upstream changes,
    doesn't apply any longer. Wrote to patch author in case it wants to
    update it.
  * Renamed 58_fix_translations to 58_fix_es_translations

  [ Thijs Kinkhorst ]
  * Tweak debconf templates according to best practices.
  * Update debconf templates, eliminates two, changes some, introduces
    new line numbering from debconf-updatepo.
  * Name languages together with their ISO code in the debconf question
    (Closes: #276505).
  * Add new languages Turkish, Interlingua, Arabic, Vietnamese
    to debconf choice, change Chinese from big5 to zh_CN and zh_TW.
  * Add subscribe/unsubscribe to example in README.Exim4.Debian,
    thanks Brian Foley (Closes: #387457).

  [ Riccardo Setti ]
  * Switched to the new python policy (Closes: #380876).

  [ Lionel Elie Mamane ]
  * Don't ship C sources with documentation; there is no reason for it.

  [ Translations ]
  * Updated vi.po. Translated by Clytie Siddall. (Closes: #388202)
  * Updated ja.po. Translated by Kenshi Muto. (Closes: #388206, #391532)
  * Updated nl.po. Translated by Kurt De Bree. (Closes: #388100)
  * Updated ru.po. Translated by Yuri Kozlov. (Closes: #388111, #391597)
  * Updated sv.po. Translated by Daniel Nylander. (Closes: #388090)
  * Updated hu.po. Translated by Laszlo Boszormenyi.
  * Updated it.po: Translated by Luca Monducci. (Closes: #388657, #391568)
  * Updated cs.po: Translated by Miroslav Kure. (Closes: #388663)
  * Updated pt_BR.po: Translated by Andre Luis Lopes.
  * Updated es.po: Translated by Javier Fernández-Sanguino Peña.
  * Updated fr.po: Translated by Philippe Batailler. (Closes: #388651)

 -- Thijs Kinkhorst <thijs@debian.org>  Mon,  9 Oct 2006 16:59:10 +0200

mailman (1:2.1.8-4) unstable; urgency=high

  * High-urgency upload to fix release-critical bug.
  * Add versioned depends on lsb-base (>= 3.0-6) to make sure a system
    has the lsb output functions (Closes: #390138).
  * Remove python2.2-korean-codecs from Suggests, replace with
    python-korean-codecs.

 -- Thijs Kinkhorst <thijs@debian.org>  Fri, 29 Sep 2006 17:33:09 +0200

mailman (1:2.1.8-3) unstable; urgency=medium

  [ Paul Wise ]
  * Switch from dpatch to quilt and regenerate all patches

  [ Thijs Kinkhorst ]
  * Use LSB output functions in init script.
  * Use chown root:list instead of deprecated root.list.
  * Remove pre-sarge upgrading code; this eliminates a lot of cruft,
    non-debconf prompting and two debconf templates.
  * Only use ucf on purge when it's available.

  [ Matej Vela ]
  * Rearrange find options in debian/postinst to prevent warnings.

  [ Lionel Elie Mamane ]
  * Use Mailman's fork of the Python email package instead of the one from
    Python; Mailman is incompatible with the one in Python 2.4
    (closes: #384016)

  [ Hector Garcia ]
  * Added 24_CVE-2006-2941 taken from Lionel's port to sarge
  * Added 23_CVE-2006-3636 taken from Lionel's port to sarge
  * Added 25_CVE-2006-4624 taken from Lionel's port to sarge

 -- Hector Garcia <hector@debian.org>  Wed, 20 Sep 2006 20:22:17 +0200

mailman (1:2.1.8-2) unstable; urgency=low

  [ Thijs Kinkhorst ]
  * Add default apache.conf under /etc/mailman
    (Closes: #282460, #135148, #178543, #179253).
  * Update all man pages to be in line with current mailman functionality
    (Closes: #286607, #276952).
  * Add suggests on lynx (Closes: #296781).
  * Checked for policy 3.7.2, no changes necessary.
  * Add watch file.
  * Add LSB dependency info to init script.
  * Fix example in postfix-to-mailman.py to pass ${mailbox}, not ${user}
    (Closes: #305762).
  * Add Lintian overrides for those things that are legitimate.
  * Drop recommends on essential base-passwd >= a version from 1997.
  * Use apache2 instead of apache as the first alternative for httpd.
  * Move options to `find` in debian/rules to start of commandline to
    prevent warnings.

  [ Hector Garcia ]
  * Putting permision on archive/private to 770 www-data:list to prevent
    regular users from reading private lists. (Closes: #356877)
  * Changed '| xarg' for '-exec' on find to prevent problems when there are
    too many files (Closes: #366102)
  * Added a slash to the end of DEFAULT_URL_PATTERN on mm_cfg.py
    (Closes: #365881)
  * Documented on README.Debian the apache + suexec case. (Closes: #360905)
  * Updated Uploaders
  * Removed the find which deleted ../$(package)*dsc.asc. It is not needed.

  [ Riccardo Setti ]
  * epoch 1. Now people should upgrade mailman without problems. (closes: #366438)
  * Applied patch which fixes string search in admin.py. (closes: #359721)
  * Updated German debconf translation (closes: #353713)
  * Updated French debconf translation (closes: #355674)
  * Updated Italian debconf translation (closes: #352523)
  * Updated Russian debconf translation (closes: #361656)
  * Updated Dutch debconf translation (closes: #377254)
  * Applied patch of Martin Pitt which will create /var/run and
    /var/lock directory if missing. (closes: #376542)
  * Bumped debhelper compatibily to 5.
    - modified debian/control to reflect this change.

  [ Paul Wise ]
  * Add spamassassin example to the mm_cfg.py


 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 14 Aug 2006 18:49:29 +0200

mailman (0:2.1.8-1) unstable; urgency=low

  * New upstream release

 -- Lionel Elie Mamane <lmamane@debian.org>  Sun, 16 Apr 2006 15:16:02 +0200

mailman (0:2.1.7+2.1.8rc1-1) unstable; urgency=high

  * New upstream release
    - Update patches:
      03_documentation_source
      64_correct_html_nesting
      68_translation_update_nl
      71_date_overflows
      99_js_templates
    - Drop patches merged upstream:
      02_stolen_from_upstream_CVS
      23_fix_urls
      72_hyperarch_error_handling.dpatch
    - Bugs fixed upstream:
      - Fix XSS hole in private archive cgi-bin. (CVE-2006-1712)
  * Don't delete other package's ucf-managed configuration files
    (closes: #358575)

 -- Lionel Elie Mamane <lmamane@debian.org>  Tue, 11 Apr 2006 22:35:33 +0200

mailman (2.1.7-2) UNRELEASED; urgency=low

  * Integrate translations: (closes: #350491, #351759, #351947)
    vi, sv, ja, nl, it
  * Don't force archiver URL to end in a slash, yet ensure the default one
    has one because pipermail needs it. (closes: #350388)

 -- Lionel Elie Mamane <lmamane@debian.org>  Tue, 11 Apr 2006 20:35:20 +0200

mailman (2.1.7-1) unstable; urgency=low

  * New upstream release:
    - Update patches:
      71_date_overflows.dpatch
      76_fix-private-redirect.dpatch
      99_js_templates.dpatch
      53_disable_addons.dpatch
      68_translation_update_nl.dpatch
    - Drop patches merged upstream:
      60_french_archtocentry
      76_fix-private-redirect
    - Bugs fixed upstream:
      - Mailman loses header spam rules (closes: #309870)
  * Pull fixes from various bugs from upstream CVS
  * Ship documentation source (closes: #346180)
  * Document queue-is-not-empty upgrade condition better
    (closes: #268117)
  * Updated debconf template translations:
    - it (closes: #345234)
    - fr (closes: #346297)
    - sv (closes: #347607)
  * Tweak mailman/update_passwords debconf note to address ambiguity in
    English version discovered by French translation.

 -- Lionel Elie Mamane <lmamane@debian.org>  Sun, 29 Jan 2006 21:57:45 +0100

mailman (2.1.6-2) UNRELEASED; urgency=low

  * Tweak 21_newlist_help.dpatch:
    The "automagically setgid to right group" part was slightly
    suboptimal. (closes: #309339)
  * Update German translation of debconf templates (closes: #344907)
  * Shut up DeprecationWarning with Python 2.4 in Scrubber.py (closes: #341699)

 -- Lionel Elie Mamane <lmamane@debian.org>  Wed,  4 Jan 2006 21:43:25 +0100

mailman (2.1.6-1) unstable; urgency=low

  * The "Quick, quick, upload before upstream releases a new version" release
  * New upstream release: (closes: #311414)
    New release packaging work:
    - Drop patches integrated upstream (or same fix in another way):
      handle-from-in-non-ascii
      75_danish_options_traceback
      73_list-id_strict_rfc
      69_python24_bouncehandler_datetime
      65_donot_add_empty_cc
      57_fix_missing_da_template
      04_CAN-2005-0202
      03_CAN-2004-1143
      02_CAN-2004-1177_driver_css
    - Upstream doesn't ship README.{EXIM,POSTFIX} anymore: Drop their patch
    - Update patches
       62_new_list_bad_pending_requests
       64_correct_html_nesting
       68_translation_update_nl
       70_invalid_utf8_dos.dpatch
       99_js_templates
    Bugs fixed upstream:
    - Possible data loss in archives (closes: #244699)
  * Don't fold headers in attachments (closes: #244673)
    This avoids breaking cryptographic signatures
  * Warn that list passwords are broken on upgrade from 2.0 (closes: #343029)

 -- Lionel Elie Mamane <lmamane@debian.org>  Sun, 25 Dec 2005 15:13:36 +0100

mailman (2.1.5-11) UNRELEASED; urgency=low

  * Run genaliases (or direct admin to do it) on upgrade from 2.0 (closes: #340503)
  * Include instructions for painless Exim4 integration (closes: #303342)

 -- Lionel Elie Mamane <lmamane@debian.org>  Thu,  8 Dec 2005 21:52:32 +0100

mailman (2.1.5-10) unstable; urgency=low

  * Merge with 2.1.5-8ubuntu2:
    Python 2.4 compatibility patch in bounce handling.
  * Don't fall apart if the filename of an attachment is an invalid UTF-8
    string (closes: #327732)
    CVE-2005-3573
  * Don't die on overflow in date handling (closes: #326024)
    CVE-2005-4153
  * Enable error handling in HyperArch (closes: #310451)
  * Ensure list-id is always in brackets in headers (closes: #244700)
  * Admin page: don't assume subscribed emails are pure ASCII
    (closes: #315358)
  * Bump up Standards-Version to 3.6.2
  * Add vietnamese translation (closes: #312673)
  * Apply corrections to german translation (closes: #313800)
  * Adapt to the md5sum in dpkg or coreutils automatically (closes: #340036)
  * More robust parsing of /var/lib/ucf/hashfile:
    - Don't touch files of other packages that happen to have
      our file's full path as subpath.
    - Accept any number of spaces between the hash and the filename there.
  * Work around ucf bug #238730 for postfix-to-mailman.py, too.
  * Fix traceback on Danish version of options page (closes: #339582)
  * Fix the private authentication form to point to the right file
    (closes: #298842)
  * Add Swedish debconf template translation (closes: #339890)
  * Depend on any debconf-2.0 implementation instead of debconf
    specifically (closes: #332018)
  * Copyright file:
    - New FSF address
    - List the other maintainers
  * Depend on adduser, used in preinst
  * Move away from deprecated user.group syntax in chown
  * Ensure package is built with autoconf 2.5x, not autoconf 2.13

 -- Lionel Elie Mamane <lmamane@debian.org>  Sat, 26 Nov 2005 10:03:23 +0100

mailman (2.1.5-9) unstable; urgency=medium

  * Update the Belgian translation, thanks to Luc Stroobant for prodding
    and for providing the translation.  (closes: #306748)

 -- Tollef Fog Heen <tfheen@debian.org>  Sat, 28 May 2005 12:47:32 +0200

mailman (2.1.5-8) unstable; urgency=low

  * Add Italian debconf translation (closes: #278562)
  * Remove Siggy from uploaders as he is MIA.
  * Actually add 67_update_handle_old_versions to the list of patches applied
    and fix up line numbers.  (closes: #304023)

 -- Tollef Fog Heen <tfheen@debian.org>  Thu, 14 Apr 2005 16:01:15 +0200

mailman (2.1.5-7) unstable; urgency=high

  * Brown bag release -- use '/' instead of the undefined SLASH in
    Cgi/private.py.  (closes: #294874)
  * Handle the case of non-ascii chars in realname.  (closes: #293861)
  * Fix up typo in cron script (closes: #284311)
  * Use head -n 1 instead of cat for getting the mailname out of
    /etc/mailname.  (closes: #287636)

 -- Tollef Fog Heen <tfheen@debian.org>  Wed, 16 Feb 2005 20:29:00 +0100

mailman (2.1.5-6) unstable; urgency=high

  * SECURITY UPDATE: fix information disclosure
  * Added debian/patches/04_CAN-2005-0202.dpatch:
    Mailman/Cgi/private.py, true_path(): fix the removal of '..' and '.' from
    private mail archive paths to prohibit path traversal (the former version
    transformed ".....///" to "../") (closes: #294467)
    (References: CAN-2005-0202)
  * Tighten build-deps on dpatch. (closes: #291289)
  * Update Czech debconf translation. (closes: #293002)
  * Add Dutch debconf translation. (closes: #283973)

 -- Tollef Fog Heen <tfheen@debian.org>  Thu, 10 Feb 2005 12:10:42 +0100

mailman (2.1.5-5) unstable; urgency=high

  * Fix CAN-2004-1143 (weak auto-generated passwords) by pulling the
    appropriate CVS change from upstream.  Thanks to Florian Weimer for
    finding and producing a patch for this bug.  (closes: #286796)
  * Fix CAN-2004-1177 (CSS problem in scripts/driver) by pulling the
    appropriate patch from upstream CVS.  Thanks to Florian Weimer for
    discovering and producing a patch for this bug.  (closes: #287555)
  * Handle the case of upgrading from Mailman 2.0 where we have
    pending subscriptions.  This should hopefully fix #280529.  Thanks to
    Bastian Kleinedam for the patch.  (closes: #280529)
  * Skip directories when updating templates, to make the life easier for
    people who have their configuration in Subversion or Arch.
    (closes: #284771)
  * Remove 55_options_traceback.dpatch as this problem seems to have been
    fixed upstream and it causes other problems.  (closes: #285839)

 -- Tollef Fog Heen <tfheen@debian.org>  Mon, 10 Jan 2005 17:12:58 +0100

mailman (2.1.5-4) unstable; urgency=high

  Changes by Laszlo 'GCS' Boszormenyi; the "Pál utcai fiúk (Boys of Paul
  street) musical band is divine" release, thanks to their fine concert
  yesterday (2004 Nov. 12).

  * Add /usr/lib/mailman/bin to the Python module path of
    postfix-to-mailman.py (closes: #279361, #280246).
  * Suggests listadmin, as that may be useful for some admins
    (closes: #279192).
  * Prevent caching of html output with 'Cache-control: no-cache'
    (closes: #281284).

 -- Tollef Fog Heen <tfheen@debian.org>  Sat, 13 Nov 2004 21:32:07 +0100

mailman (2.1.5-3) unstable; urgency=high

  Changes by Laszlo 'GCS' Boszormenyi:

  * Do not fail if $PIDFILE does not exist during initscript restart
    (closes: #275690).
  * Use printf and not 'echo -e' in postinst as the former is the
    portable; remove obsoleted and commented out debhelper lines from
    rules.
  * Do not report pending requests on new lists because no request.pck
    exists yet (closes: #273553).
  * Update DEFAULT_SERVER_LANGUAGE and not blindly English as that can
    break package if English is not selected (closes: #274104).
  * Correct HTML nesting in listinfo for browsers with strict checking
    (iCab and maybe others, closes: #249212).
  * Only add the 'Cc:' mail header in AvoidDuplicates.py if that it isn't
    empty (closes: #253944).
  * Treat postfix-to-mailman.py with ucf just like qmail-to-postfix.py
    and update README.Debian accordingly (closes: #275482).
  * Update newlist.8 manpage, -o is no more, add -l (closes: #269642);
    sync list_members.8 with current upstream script output as well
    (closes: #245871).
  * Rephrase README.EXIM a bit more to be more clearer (closes: #271987).

 -- Tollef Fog Heen <tfheen@debian.org>  Thu, 14 Oct 2004 19:38:22 +0000

mailman (2.1.5-2) unstable; urgency=high

  Changes by Laszlo 'GCS' Boszormenyi:

  * Fix for eating messages because of _snooze interface change; ACK NMU
    by Steve Langasek (closes: #272012).
  * Ensure a new line before append anything to the config file
    (closes: #272419).
  * As we do not use quiet mode for the daemon, do not print extra dots
    when mailman starts/stops/restarts (closes: #270369).
  * Use the correct pid file for logrotate script (closes: #247194).
  * Fix Russian newlist template, mailman-owner is siteowner now
    (closes: #260816); remove CAN-2004-0412 dpatch, as this is now
    included upstream; enable french_archtocentry dpatch (closes: #262349).
  * Updated debconf translations:
    - Czech by Miroslav Kure (closes: #273840);
    - French by Philippe Batailler (closes: #269637);
    - German by Jens Nachtigall (closes: #274392);
    - Also a big thanks to Denis Barbier who spot that two strings were not
      marked as translatable and did the preliminary work with the
      translations!

 -- Tollef Fog Heen <tfheen@debian.org>  Thu,  7 Oct 2004 10:44:38 +0200

mailman (2.1.5-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for sarge-targetted RC fix.
  * Fix missing argument in OutgoingRunner.py which could potentially
    cause email to be lost (closes: #272012).

 -- Steve Langasek <vorlon@debian.org>  Wed, 29 Sep 2004 01:34:46 -0700

mailman (2.1.5-1) unstable; urgency=high

  * New upstream version (closes: #249959).
    - fixes NotAMember traceback (closes: #246648).
    - handles corrupt files better (closes: #221107, #249929).
  * Rename Catalan translation (closes: #255874)
  * Apply patch from Pabs to fix crash if enabling missing language
    (closes: 257606)
  * Chicken out if the queue is not empty when upgrading.
    (closes: #248438)
  * Make sure the files in the cron.d are executable before running them.
    Also, call the scripts directly rather than using python $SCRIPT.
    (closes: #264705).  (No, it doesn't handle upgrades properly, but it's
    not a big issue and will be fixed for etch.)
  * Make sure we don't ship /var/lib/mailman/pythonlib, should make that
    go away on installations which already have it (closes: #242740).
  * Consolidate logrotate scripts (closes: #235006).
  * Update Spanish debconf translation, thanks to Carlos Valdivia Yague.
    (closes: #247830)
  * Add Czech debconf translation, thanks to Miroslav Kure.
    (closes: #244421)

 -- Tollef Fog Heen <tfheen@debian.org>  Wed, 18 Aug 2004 19:21:48 +0200

mailman (2.1.4-5) unstable; urgency=high

  * This is an intermediate release to fix a security issue, 2.1.5 will be
    released as split binary packages.
  * Applied Mandrake security patch for CAN-2004-0412, thanks to Florian
    Weimer (closes: #251176).
  * Fixed spanish translation (closes: #248083).

 -- Siggy Brentrup <bsb@debian.org>  Sat, 29 May 2004 14:53:41 +0200

mailman (2.1.4-4) unstable; urgency=medium

  * Urgency medium because RC bugs are fixed.
  * Fix README.Debian concerning URLs (bsb, closes: #235835).
  * Add fix for missing installation of Danish templates (by GCS)
  * config: don't try to list_lists when upgrading from pre 2.1
    (bsb, closes: #242945).
  * Fix Woody FTBFS, reported and solution provided by Andreas Barth
    <aba@not.so.argh.org>, (by GCS, closes: #243209).
  * Ask for the language used by Mailman from the enabled languages
    (by GCS, closes: #224319).
  * postfix-to-mailman.py: Fix ',' obscuring illegal invocations, reported
    by martin f krafft <madduck@debian.org> (bsb, closes: #243908)
  * Update SpamAssassin handler to the most recent version can be found,
    and document it in README.Debian (by GCS, closes: #235667).

 -- Siggy Brentrup <bsb@debian.org>  Fri, 16 Apr 2004 18:40:38 +0200

mailman (2.1.4-3) unstable; urgency=medium

  * Fix bogus test for empty qfiles/ in preinst (bsb, closes: #240033).
  * Create group list as a system group if it doesn't exist
    (bsb, closes: #240672).
  * Use true/false for mailman/gate_news to make it work (bsb).
  * Purge all mailman files _in_ucf_database_ on package purge (bsb).
  * Make 'leftover' notice stand out (bsb).
  * Added helper debconf template mailman/used_languages to avoid
    duplicate scanning on preconfigure/setup, while at it make config more
    robust (bsb, closes: #241021).
  * Remove bashism from debian/config (by GCS, closes: #240643).
  * Mention mm_cfg.MTA=None in README.EXIM (closes: #240295), also fix
    pathes to reflect Debian choices (bsb).
  * Include add_virtualdomain call in mm_cfg.py (closes: #238509), while
    at it regroup options and add comments (bsb).
  * Incorporate enhancements to postfix-to-mailman.py (bsb).
  * 50_README.POSTFIX.dpatch to reflect our choices (bsb).

 -- Siggy Brentrup <bsb@debian.org>  Tue, 30 Mar 2004 18:51:57 +0200

mailman (2.1.4-2) unstable; urgency=low

  * Brown bag release.
  * Move that pid file.  Now.  (closes: #226152)
  * Switch to dpatch
  * Don't traceback when using admin password (closes: #233161)
  * Fix up MAILMAN_OWNER. (closes: #232452, #232273)
  * Make the postinst a lot less chatty (closes: #232546)
  * Update Spanish debconf translation (closes: #233693)
  * Update pt_BR debconf translation (closes: #228123)
  * Add Hungarian debconf translation (by GCS)
  * Wait for termination on restart|force-reload (by GCS,
    closes: #231468, #204006, #224012)
  * Fix --purge, thanks to Lionel Elie Mamane and Tollef (by GCS)
  * Revert gate_news changes (by GCS, closes: #237006)
  * Fix messages/de/LC_MESSAGES/mailman.po for now, but forward to upstream;
    patch from Ralf Doeblitz <r.doeblitz@asco.de> (closes: #233048)
  * Added german debconf translation (bsb).
  * Added myself to Uploaders (bsb).
  * Bumped 'Standards Version' to 3.6.1 (bsb, GCS's commit was lost during
    the alioth move).
  * Added catalan debconf translation from Aleix Badia i Bosch <abadia@ica.es>
    (by GCS, closes: #236666)
  * Change obsolete MAILMAN_OWNER to MAILMAN_SITE_LIST, note that this
    invalidate #232273 and #232452 (by GCS, closes: #235913)
  * Add debconf question for languages supported at a site reducing space
    required in /etc and chattyness (bsb, closes: #232005).
  * Backed out hack in 05_config_list_member_options.dpatch since it
    breaks config_list in mm 2.1.4 (bsb, closes: #231967).
  * Added debian/contrib/postfix-to-mailman.py installing it as
    /usr/lib/mailman/bin/postfix-to-mailman.py (bsb).
  * Cleaned up README.Debian removing obsolete mailman-owner alias and
    adding a section on using postfix-to-mailman.py (bsb).
  * Fix path problems, found by Nathan Stratton Treadway <nathanst@ontko.com>
    (by GCS, closes: #235835, #236473)
  * Added missing manpages withlist.8 and list_admins.8 (bsb).

 -- Siggy Brentrup <bsb@debian.org>  Wed, 24 Mar 2004 23:48:15 +0100

mailman (2.1.4-1) unstable; urgency=medium

  * New upstream release (closes: #227968, #228212)
  * Try handling empty files in queue a little more gracefully
    (closes: #223906)
  * Actually move the pid file and fix logrotate script a bit more
    (closes: #223525, #228060)
  * Update Depends to exim4 | mail-transport-agent (closes: #228587)
  * Update Japanese debconf translation (closes: #227137)
  * Update French debconf translation (closes: #227246)
  * Get rid of the gate_news debconf stuff, since Mailman 2.1 doesn't use
    gate_news any more.  Also comment out any occurences of gate_news in
    mailman's crontab.  (also invalidates #186320 (Closes: #186320))
  * Give some feedback on what's happening during postinst, since ucf is
    so goddamn slow (closes: #211815)
  * Work around ucf/debconf interaction (closes: #225667)

 -- Tollef Fog Heen <tfheen@debian.org>  Fri, 30 Jan 2004 12:12:17 +0100

mailman (2.1.3-2) unstable; urgency=low

  * Fix reference to /usr/lib/mailman/cgi-bin in README.Debian. Also fix
    so that the link in /usr/lib/mailman/cgi-bin points to the right place
    (closes: #218138, #202464)
  * Fix bug in scrubber.py with empty charsets (closes: #212643).  Thanks
    to Md for this one :)
  * Make the password field be focused on page entry, if you have JS
    enabled.  Again thanks to Md.
  * Fix bashism in postinst.
  * Document apache's default setting of SymlinksIfOwnerMatch, since this
    breaks mailman if you change from public to private to public
    archival. (closes: #123297)
  * Add ugly hack so new_member_options can be restored as well using
    config_list (closes: #179667)
  * Fix test in config script for list_lists (closes: #206728)
  * Try to fix permissions of /var/lib/mailman/archives, so they'll work
    with both public and private archives.  (closes: #214264)
  * Make mailman reopen the log files after they are rotated.
    (closes: #216478)
  * Move qrunner lock file to /var/run
  * Add a few missing symlinks to /usr/sbin (closes: #218799)
  * Update Russian debconf translation (closes: #219268, #214350)
  * Add Japanese debconf translation (closes: #211957)
  * Add a note that you actually need to start mailman as well, not just
    create the site list. (closes: #191539)
  * Make /var/lib/mailman/icons a symlink to images (closes: #199172)
  * Fix qmail-to-mailman.py (closes: #217573)
  * Have Mailman.Utils.get_domain use URL_HOST, not EMAIL_HOST
    (closes: #214211) (I hope :)

 -- Tollef Fog Heen <tfheen@debian.org>  Sat,  6 Dec 2003 15:03:19 +0100

mailman (2.1.3-1) unstable; urgency=low

  * New upstream release (closes: #213553)
    - Fixes busy-wait (closes: #208368)
  * Band-aid around stupid galeon issuing PROPFIND requests (closes: #202821)
  * Fix error in Dutch translation which made Mailman barf on big mails on
    Dutch-language lists. (closes: #204196)
  * Add DEFAULT_{URL,EMAIL}_HOST to mm_cfg.py if missing (really
    closes: #200882)
  * Add small note recommending to stop Mailman before dpkg-reconfiguring
    it. (closes: #204949)
  * Add Mime-version: 1.0 in Handlers/Decorate.py.  This solves a problem
    where charsets for the different parts of the message doesn't work
    well.

 -- Tollef Fog Heen <tfheen@debian.org>  Fri,  3 Oct 2003 01:44:12 +0200

mailman (2.1.2-7) unstable; urgency=low

  * The "aj, can I have food even though I'm fixing RC bugs in my own
    package?" release
  * Handle missing mm_cfg.py file (closes: #201566)
  * Fix localhost screwup in /etc/mailman/mm_cfg.py (closes: #200882, #198967)
  * Fix POTFILES.in (closes: #200804)
  * Add French debconf templates (closes: #190919)

 -- Tollef Fog Heen <tfheen@debian.org>  Mon, 28 Jul 2003 06:09:44 +0200

mailman (2.1.2-6) unstable; urgency=low

  * Check whether we've already added the cron lines to
    /etc/cron.d/mailman (only when upgrading from < 2.1) and if so, don't
    re-add them (closes: #199507)

 -- Tollef Fog Heen <tfheen@debian.org>  Fri,  4 Jul 2003 11:29:37 +0200

mailman (2.1.2-5) unstable; urgency=high

  * Urgency high, since the version in testing is broken.
  * Depend on python 2.2 explicitly, it seems like python 2.3 is broken
    (it doesn't have os.setgroups.). (closes: #198789, this time for
    real).

 -- Tollef Fog Heen <tfheen@debian.org>  Thu,  3 Jul 2003 12:35:53 +0200

mailman (2.1.2-4) unstable; urgency=low

  * Fix depends for python2.2-email (closes: #199467)
  * Add missing setgroups call in mailmanctl (closes: #199161)

 -- Tollef Fog Heen <tfheen@debian.org>  Tue,  1 Jul 2003 09:11:49 +0200

mailman (2.1.2-3) unstable; urgency=low

  * Fix errors on initial install (closes: #197519)
  * Make /usr/share/doc/mailman/images into a symlink, through removal of
    said directory from debian/dirs (closes: #197253)
  * Add conflicts with sendmail < 8.12.6 (closes: #197500)
  * Add import string to spamd.py (closes: #192124)
  * Add /usr/lib/mailman/cgi-bin as a symlink to /usr/lib/
    (closes: #197812)
  * Add pt_BR debconf translation (closes: #198369)
  * Add spanish debconf translation (closes: #199151)
  * Stop shipping the python email module ourselves.
    (closes: #198789, #199155, #198743)
  * Make localhost default URL_HOST and EMAIL_HOST (closes: #197237)

 -- Tollef Fog Heen <tfheen@debian.org>  Mon, 30 Jun 2003 13:02:42 +0200

mailman (2.1.2-2) unstable; urgency=low

  * Add dependency on python-email and don't ship email ourselves
  * Move #UCF# in postinst to be before confmodule is sourced (closes: #197113)
  * Make sure /usr/lib/mailman/Mailman/mm_cfg.py is a symlink to
    /etc/mailman/mm_cfg.py

 -- Tollef Fog Heen <tfheen@debian.org>  Fri, 13 Jun 2003 00:43:50 +0200

mailman (2.1.2-1) unstable; urgency=low

  * New upstream release (closes: #191278)
    - should fix problems with OutgoingRunner eating 100% cpu (closes: #195220)
    - also fixes "sync_members fails with an exception" (closes: #195222)
  * Fix SA patch to use 0 and 1 instead of False and True (closes: #192048)
  * Fix postinst to fix PUBLIC_ARCHIVE_URL in /etc/mailman/mm_cfg.py, a
    double space was supposed to be a single one.
  * Make upgrades from pre-2.1 fail if there are mails in the queue, since
    we can't upgrade them.

 -- Tollef Fog Heen <tfheen@debian.org>  Tue,  6 May 2003 00:17:11 +0200

mailman (2.1.1-5) unstable; urgency=low

  * Fix init and config script to actually detect whether the site list is
    available. (closes: #189182)
  * Fix cgi-bin link in /var/lib/mailman (closes: #177498)
  * Switch to po-debconf (and update build-deps accordingly) (closes:
    #181677) (due to those error messages disappearing then)

 -- Tollef Fog Heen <tfheen@debian.org>  Wed, 23 Apr 2003 18:49:39 +0200

mailman (2.1.1-4) unstable; urgency=low

  * Remove move_list, digest_arch links and manpages, since they are no
    longer part of mailman. (closes: #178428, #177356)
  * Remove DEFAULT_URL_HOST from default mm_cfg.py (closes: #178619)
  * Enclose the importing of korean and japanese in try/except blocks
    (closes: #188502, #188545, #188616, #188611)
  * Change suggests line to python-japanese-codecs instead of
    python2.2-japanese-codecs and add alternatives for korean
    codecs. (closes: #188666)
  * Add hack to allow upgrades from broken 2.1.1-[123] installs, where
    stopping the daemon will fail.

 -- Tollef Fog Heen <tfheen@debian.org>  Sun, 13 Apr 2003 09:16:18 +0200

mailman (2.1.1-3) unstable; urgency=low

  * Remove code from update to update lists older than 1.0b4, since this
    can potentially break with lists with the same name as a language.
    (closes: #179893)
  * Add Suggests on python2.2-korean-codecs and python2.2-japanese-codecs
    and stop shipping them in the package.  (closes: #181214)
  * Unduplicate welcome text in Deliverer.py (closes: #178576)

 -- Tollef Fog Heen <tfheen@debian.org>  Thu, 10 Apr 2003 00:32:00 +0200

mailman (2.1.1-2) unstable; urgency=low

  * Add debconf note mentioning the needed mailman list, and make the init
    script exit cleanly if it's not there (closes: #178627)

 -- Tollef Fog Heen <tfheen@debian.org>  Tue,  8 Apr 2003 09:58:08 +0200

mailman (2.1.1-1) unstable; urgency=low

  * New upstream release, fixes XSS probles, fixes sync_members dying
    (closes: #180097)
  * Un-crackify postinst. (closes: #178627, #175840)
  * Fix some more permissions. (closes: #178757)
  * Update SpamAssassin plugin (closes: #177588)
  * Fix update so that it doesn't remove wrapper (closes: #177647)
  * Don't nuke all of /var/lib/mailman, since archives and such might be
    stored there (closes: #176154)

 -- Tollef Fog Heen <tfheen@debian.org>  Mon,  7 Apr 2003 19:40:50 +0200

mailman (2.1-5) unstable; urgency=low

  * Fix crontab entry (closes: #175705)
  * Fix default host name (closes: #175550)
  * Fix PUBLIC_ARCHIVE_URL to Just Work (closes: #175840)
  * Fix qmail-to-mailman wrt @prefix@ and @PYTHON@ (closes: #175851)
  * Move qmail-to-mailman into /etc as a ucf-managed file. (closes: #170930)

 -- Tollef Fog Heen <tfheen@debian.org>  Sat, 11 Jan 2003 02:16:33 +0100

mailman (2.1-4) unstable; urgency=low

  * Tighten dependency on ucf. (closes: #175161)
  * Move images to /usr/share/images/mailman (closes: #110148)
  * Fix up thread handling in pipermail (closes: #167758)
  * Add code to sleep a little bit on SMTP error.  (closes: #175173)
  * Fix up so that the welcome_msg is actually used in Deliverer.py
    (closes: #167382)
  * Make sure to close std{in,out,err} in mailmanctl. (closes: #175175)

 -- Tollef Fog Heen <tfheen@debian.org>  Sun,  5 Jan 2003 11:46:19 +0100

mailman (2.1-3) unstable; urgency=low

  * Link /var/lib/mailman/mail/mailman to /var/lib/mailman/mail/wrapper to
    not break upgrades.
  * Document the link and the new aliases.  Please read README.Debian for
    upgrading info.

 -- Tollef Fog Heen <tfheen@debian.org>  Fri,  3 Jan 2003 01:26:47 +0100

mailman (2.1-2) unstable; urgency=low

  * Ugly hackishness in postinst which makes upgrades actually work.

 -- Tollef Fog Heen <tfheen@debian.org>  Fri,  3 Jan 2003 00:24:30 +0100

mailman (2.1-1) unstable; urgency=low

  * New upstream release (closes: #174914)
    - This includes a pipermail which knows how to handle MIME properly
      (closes: #84963, #66584).  Pipermail also handles poster's from
      addresses properly now.  (closes: #159850)
    - Fixes in UI, which allows one to approve poster on the held message
      screen (closes: #111856)
  * Fix newlist to report that a fully-qualified email address is
    needed. (closes: #170362)
  * Document how to get shorter URLs in README.Debian (closes: #118035)
  * Add some upgrading code to the postinst.  It might work.  Comment out
    all references to qrunner, since it is no longer used.
  * Fix cron job reference to call the executable instead of
    /usr/bin/python executable, as this makes things easier for SELinux.
    (closes: #160203)
  * Include the SpamAssassin.py patch from the SF tracker.  It is not
    enabled by default (closes: #139942)
  * Tighten python dependency, since we now need 2.1 or newer.
  * Rework debconf question format to look better.  (closes: #167005)

 -- Tollef Fog Heen <tfheen@debian.org>  Wed,  1 Jan 2003 17:49:13 +0100

mailman (2.0.11-2) unstable; urgency=low

  * Move qrunner's lock files to /var/lock/mailman (closes: #148667)

 -- Tollef Fog Heen <tfheen@debian.org>  Mon,  3 Jun 2002 11:24:04 +0200

mailman (2.0.11-1) unstable; urgency=high

  * New upstream release (closes: #147566, 146168)
    - fixes CSS problem
  * Add spanish template (closes: #143524)

 -- Tollef Fog Heen <tfheen@debian.org>  Tue, 21 May 2002 19:23:25 +0200

mailman (2.0.10-1) unstable; urgency=low

  * New upstream release (closes: #146168)

 -- Tollef Fog Heen <tfheen@debian.org>  Mon, 20 May 2002 22:47:53 +0200

mailman (2.0.9-2) unstable; urgency=low

  * Add qmail blurb to README.Debian
  * Fix a strange character in the postinst, one of those 0xa0 chars.

 -- Tollef Fog Heen <tfheen@debian.org>  Thu, 18 Apr 2002 11:54:07 +0200

mailman (2.0.9-1) unstable; urgency=high

  * New upstream release, fixes possible security problem
  * Fix bashism in config script (closes: #140949)
  * Remove /etc/cron.d mailman on purge (closes: #140908)
  * Add French Debconf template (closes: #139909)
  * Fix broken HTML (this really needs more work, but I don't have time
    for this before woody) (closes: #140492)
  * Fix typo in help for sync_members (closes: #140647)
  * Fix typo in rmlist (--archive instead of --archives) (closes: #140466)
  * Skip CVS directories in /etc/mailman.  This is according to an IRC
    discussion with the bug submitter.  (closes: #139171)

 -- Tollef Fog Heen <tfheen@debian.org>  Tue,  9 Apr 2002 00:02:26 +0200

mailman (2.0.8-4) unstable; urgency=low

  * Support DEBIAN_FRONTEND=noninteractive as well, thanks to Petter
    Reinholdtsen for the patch. (closes: #137352)
  * Add russian template (closes: #136928)
  * Remove BGCOLOR from the template file (closes: #59354)
  * Add qmail-to-mailman.py into the examples directory, and also fix the
    script a little bit according to the bug. (closes: #138962)

 -- Tollef Fog Heen <tfheen@debian.org>  Mon, 11 Mar 2002 21:44:00 +0100

mailman (2.0.8-3) unstable; urgency=low

  * Support upgrading of lists with spaces in their names.  (closes:
    #122913)
  * Merge changelog from stable
  * Add documentation workaround when upgrading python.  Please seee
    README.Debian (closes: #117969)
  * Fix config script so that it actually is able to detect whether
    gate_news is commented out or not. (closes: #129720)
  * Fix cgi-path in Defaults.py.in (closes: #127069)
  * remove /var/log/mailman on purge (closes: #131212)

 -- Tollef Fog Heen <tfheen@debian.org>  Tue, 29 Jan 2002 19:19:24 +0100

mailman (2.0.8-2) unstable; urgency=low

  * Remove Pre-Depends (should have been removed a long time ago)

 -- Tollef Fog Heen <tfheen@debian.org>  Thu,  6 Dec 2001 19:34:03 +0100

mailman (2.0.8-1) unstable; urgency=low

  * New upstream release

 -- Tollef Fog Heen <tfheen@debian.org>  Wed, 28 Nov 2001 17:40:56 +0100

mailman (2.0.7-3) unstable; urgency=low

  * Fix bashism in postinst.

 -- Tollef Fog Heen <tfheen@debian.org>  Wed, 28 Nov 2001 17:40:18 +0100

mailman (2.0.7-2) unstable; urgency=low

  * Add german template (closes: #118958)
  * Add missing for loop in cron/mailpasswds and reindent (closes:
    #120366)
  * Removed archives from the list of cgis built, since this confused
    someone. (closes: #120489)

 -- Tollef Fog Heen <tfheen@debian.org>  Thu, 22 Nov 2001 11:49:57 +0100

mailman (2.0.7-1) unstable; urgency=high

  * New upstream release (closes: #118991)

 -- Tollef Fog Heen <tfheen@debian.org>  Mon, 12 Nov 2001 19:30:57 +0100

mailman (2.0.6-5) unstable; urgency=low

  * Remove debconf note and add low priority question whether Mailman
    should gate news or not.
  * Make /etc/cron.d/mailman a configuration file instead of a conffile,
    this allows us to change the debconf note into a question, which isn't
    such a misuse of debconf notes.

 -- Tollef Fog Heen <tfheen@debian.org>  Sat, 10 Nov 2001 02:01:50 +0100

mailman (2.0.6-4) unstable; urgency=low

  * Fix typo in cron/mailpasswds (closes: #118014)
  * Fix indentation in cron/mailpasswds (closes: #117903)
  * Fix typo in postinst (closes: #117888, #117860)
  * Fix typo in templates
  * Fix python in preinst, use id instead.  (closes: #118024)

 -- Tollef Fog Heen <tfheen@debian.org>  Fri,  2 Nov 2001 16:24:16 +0100

mailman (2.0.6-3) unstable; urgency=low

  * Add note about cookies and default URLs.
  * Clarification to README.Debian concerning IMAGE_LOGOS (closes:
    #114222)
  * Fix spelling in copyright
  * Add /etc/mailman/headfoot.html as a conffile
  * Remove the patch for per-user monthly password reminders, this is
    fixed in a different way in mailman 2.1, and it caused a lot of
    problems. (closes: #102970)
  * Make it work with both Python 2.x and Python 1.5 by fixing
    postinst. (closes: #116970, #116233)
  * Fix preinst to use the system functions to chech whether the user
    exists or not, instead of grepping /etc/{passwd,group} (closes:
    #117495)
  * Add debconf note explaining that gate_news is now commented
    out. (closes: #116677)
  * Change dependencies to just depend on python instead of python-base.

 -- Tollef Fog Heen <tfheen@debian.org>  Tue, 30 Oct 2001 10:03:37 +0100

mailman (2.0.6-2) unstable; urgency=low

  * Fix patch in ToUsenet.py, which fixes a traceback (closes: #110286)
  * Make the default value for sending out reminders == -1, which makes
    the list's value the default, but is overriddable by the user.
    (closes: #111534)
  * Fix List-Id on monthly reminders (closes: #111078)

 -- Tollef Fog Heen <tfheen@debian.org>  Tue, 28 Aug 2001 17:09:24 +0200

mailman (2.0.6-1) unstable; urgency=medium

  * New upstream release with security fix (closes: #106783)
  * Comment out gate-news from default crontab and add note to
    README.Debian (closes: 64809)

 -- Tollef Fog Heen <tfheen@debian.org>  Fri,  3 Aug 2001 09:01:18 +0200

mailman (2.0.5-2) unstable; urgency=medium

  * updated description (thanks Greg Ward)
  * fix a potential problem when gatewaying lists between news and mail,
    thanks to Jürgen A. Erhard.
  * Fix up IMAGE_LOGOS in Defaults.py, which might make it easier on those
    upgrading, where IMAGE_LOGOS is not set in mm_cfg.py
  * Fix a potential short-term security problem where
    /var/lib/mailman/data/pending_subscriptions.db was world readable.
    (Closes: #105998)

 -- Tollef Fog Heen <tfheen@debian.org>  Mon, 23 Jul 2001 10:47:18 +0200

mailman (2.0.5-1) unstable; urgency=low

  * New upstream release
  * Changed build depends, we now depend on debhelper > 3.0, as we use
    dh_installman. (closes: #97070)
  * Fixed a grammatical error in templates/subscribeack.txt.  (closes: #97183)

 -- Tollef Fog Heen <tfheen@debian.org>  Thu, 24 May 2001 22:25:51 +0200

mailman (2.0.4-2) unstable; urgency=low

  * Byte-compile paths.py as well as the other files.
  * Fix up some potential bugs in the postinst
  * Fix up a small documentation error in README.EXIM. (closes: #96067)
  * The cgi-bin symlink wasn't properly created.  Fixed now.  (closes:
    #95986)

 -- Tollef Fog Heen <tfheen@debian.org>  Wed,  2 May 2001 09:16:02 +0200

mailman (2.0.4-1) unstable; urgency=low

  * New upstream release
  * comment out line 281 in Mailman/htmlformat.py, this should fix the
    broken HTML code people are seeing (closes: #94191)
  * Remove duplicate images, they are now only in
    /usr/share/doc/mailman/images (closes: #93344).  Note that mm_cfg.py
    is a conffile, so if it has been modified, it's images might be in the
    wrong place.
  * remove dh_testversion
  * update the lintian overrides a bit
  * moved the cgi scripts to /usr/lib/cgi-bin since apache doesn't support
    symlinks by default any more.
  * fix up README.Debian, among other things spell my name correctly :)

 -- Tollef Fog Heen <tfheen@debian.org>  Tue, 17 Apr 2001 01:07:56 +0200

mailman (2.0.3-7) unstable; urgency=low

  * Make /usr/lib/mailman/cgi-bin symlink to /usr/lib/cgi-bin/mailman
    instead of the other way around, per user request, as this is the
    supported apache configuration.
  * add lintian overrides (closes: #39047)

 -- Tollef Fog Heen <tfheen@debian.org>  Tue,  3 Apr 2001 23:47:31 +0200

mailman (2.0.3-6) unstable; urgency=low

  * fix up digest_arch, so that it won't bomb on years > 100, really a Y2K
    problem which was tried to be fixed.  It shouldn't matter with newer
    lists and MUAs, as we really don't use digest_arch any more.  (closes:
    #59359, #75613)
  * close out more old bugs, from version 1.1 and before (closes: #59669,
    #59867)
  * close bugs which have been fixed upstream (closes: #70803, #72815,
    #75761)
  * fixed a few typos in the copyright file.
  * added support for per-user monthly notifications (see README.Debian),
    forwarded upstream.  (closes: #76042, #54027)

 -- Tollef Fog Heen <tfheen@debian.org>  Sat, 24 Mar 2001 02:04:07 +0100

mailman (2.0.3-5) unstable; urgency=low

  * python is needed as well, in order to build (closes: #90527).

 -- Tollef Fog Heen <tfheen@debian.org>  Thu, 22 Mar 2001 22:45:21 +0100

mailman (2.0.3-4) unstable; urgency=low

  * Fix up build-depends (closes: #90109)

 -- Tollef Fog Heen <tfheen@debian.org>  Sun, 18 Mar 2001 15:41:40 +0100

mailman (2.0.3-3) unstable; urgency=low

  * Added autoconf invokation before running configure, this should fix
    the configure stuff, where it looks at /var/lib/mailman (closes:
    #89850)
  * Close bugs which were closed by the last upload (closes: #89726), but
    which I forgot to close.
  * Mailman has supported having nobody as the CGI user for some time
    (closes: #36010)

 -- Tollef Fog Heen <tfheen@debian.org>  Fri, 16 Mar 2001 11:06:44 +0100

mailman (2.0.3-2) unstable; urgency=low

  * Applied some old patches which had got lost, including allowing the
    calling of the wrapper scripts if GID == nobody or < 100.  (Closes:
    #36010, #89564, #89848, 89818)
  * fixed up some of the permissions

 -- Tollef Fog Heen <tfheen@debian.org>  Wed, 14 Mar 2001 13:40:16 +0100

mailman (2.0.3-1) unstable; urgency=low

  * New upstream release (closes: #89459)
  * Fixed a small bug where mailman-owner@host was hard coded in newlist,
    it now gets it from the configuration (closes: #50583).

 -- Tollef Fog Heen <tfheen@debian.org>  Tue, 13 Mar 2001 17:03:40 +0100

mailman (2.0.2-1) unstable; urgency=low

  * New upstream release
  * New maintainer
  * Updated standards-version
  * Updated to debhelper v2
  * Closed old, non-responsive, non-reproducible bugs (closes: #72714,
    #49176, #33804)
  * Converted to use dpkg-statoverride (closes: #87199)
  * the doublequote bug is fixed upstream (closes: #75724)
  * mailing list url bug has been fixed upstream (closes: #80988)
  * subscribe.py should return a HeadlessDocument, not a Document, else
    one gets really non-valid HTML. (closes: #78941)
  * Added man pages (closes: #57231)

 -- Tollef Fog Heen <tfheen@debian.org>  Sat, 10 Mar 2001 18:31:24 +0100

mailman (2.0final-1) unstable; urgency=low

  * New upstream version (Closes: #75640, #65955)
  * Fix default private archive url (Closes: #74766, #74112, #76114, #77448)
  * Add / to the default url (Closes: #68619, #69167, #71006, #71208,
       #71464, #71475)

 -- Gergely Madarasz <gorgo@sztaki.hu>  Sun, 26 Nov 2000 18:37:05 +0100

mailman (2.0beta5-1) unstable; urgency=low

  * New upstream version (Closes: #68376)
  * Fix postinst (Closes: #67177)

 -- Gergely Madarasz <gorgo@sztaki.hu>  Thu,  3 Aug 2000 13:13:23 +0200

mailman (2.0beta4-1) unstable; urgency=low

  * New upstream version
  * Update logrotate config file

 -- Gergely Madarasz <gorgo@sztaki.hu>  Fri,  7 Jul 2000 12:05:03 +0200

mailman (2.0beta3-1) unstable; urgency=low

  * Update cron.d file (add qrunner, remove run_queue)
  * New upstream version

 -- Gergely Madarasz <gorgo@sztaki.hu>  Thu, 29 Jun 2000 13:29:46 +0200

mailman (2.0beta2-1) unstable; urgency=low

  * New upstream version
  * Update the conffiles list
  * Update the default mm_cfg.py

 -- Gergely Madarasz <gorgo@sztaki.hu>  Mon, 29 May 2000 16:06:45 +0200

mailman (1.1-9) stable; urgency=medium

  * Cross site scripting (CSS) fixes, backported from Mailman 2.0.8.
  * Support list names with spaces in them.

 -- Tollef Fog Heen <tfheen@debian.org>  Fri,  7 Dec 2001 13:53:11 +0100

mailman (1.1-8) stable; urgency=medium

  * Fix maintainer field
  * Completely fix previous security flaw
  * Fix dedent in Mailman/SecurityManager.py (closes: #107768)

 -- Tollef Fog Heen <tfheen@debian.org>  Mon, 6 Aug 2001 16:27:32 +0200

mailman (1.1-7) stable; urgency=medium

  * Fix possible (but rare) security problem if site password was blank

 -- Tollef Fog Heen <tfheen@debian.org>  Fri, 3 Aug 2001 21:51:32 +0200

mailman (1.1-6) frozen unstable; urgency=high

  * Fix archiver security problem (Closes: #64841)
  * Fix upgrade message (Closes: #63427)
  * Fix email address in README.Debian

 -- Gergely Madarasz <gorgo@sztaki.hu>  Mon, 29 May 2000 15:15:15 +0200

mailman (1.1-5) frozen unstable; urgency=medium

  * Small fix for subjectless messages (Closes: #61695)

 -- Gergely Madarasz <gorgo@sztaki.hu>  Sun, 16 Apr 2000 03:19:21 +0200

mailman (1.1-4) frozen unstable; urgency=medium

  * Now really fix news gatewaying (Closes: #57223, #57596)
  * Bug already fixed previously... Closes: #55579

 -- Gergely Madarasz <gorgo@sztaki.hu>  Tue, 22 Feb 2000 23:02:03 +0100

mailman (1.1-3) frozen unstable; urgency=medium

  * Fix news gatewaying (Closes: #57223, #57596)
  * Bug already fixed previously... Closes: #55579

 -- Gergely Madarasz <gorgo@sztaki.hu>  Tue, 22 Feb 2000 19:38:55 +0100

mailman (1.1-2) unstable; urgency=low

  * Fix mailman image link in the default config (Closes: #50578, #53673)
  * Remove pegasus mail's x-pmrqc header (Closes: #51090)
  * Now depends on logrotate (Closes: #54810)

 -- Gergely Madarasz <gorgo@sztaki.hu>  Thu, 13 Jan 2000 14:50:52 +0100

mailman (1.1-1) unstable; urgency=low

  * New upstream version

 -- Gergely Madarasz <gorgo@sztaki.hu>  Sat,  6 Nov 1999 14:20:30 +0100

mailman (1.0rel-5) unstable; urgency=low

  * Adduser fixes again (Closes: #48922)

 -- Gergely Madarasz <gorgo@sztaki.hu>  Mon,  1 Nov 1999 20:06:18 +0100

mailman (1.0rel-4) unstable; urgency=low

  * Remove unnecessary interaction (Closes: #44651, #44919)
  * Fix adduser call in preinst (Closes: #45063)
  * Add logrotate config file, recommend logrotate

 -- Gergely Madarasz <gorgo@sztaki.hu>  Mon,  1 Nov 1999 16:43:14 +0100

mailman (1.0rel-3) unstable; urgency=low

  * Really change maintainer address

 -- Gergely Madarasz <gorgo@sztaki.hu>  Tue,  7 Sep 1999 21:02:25 +0200

mailman (1.0rel-2) unstable; urgency=low

  * FHS compliant
  * Standards: 3.0.1
  * rename arch to mmarch (Closes: #43185)
  * Change maintainer address

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Tue,  7 Sep 1999 17:18:02 +0200

mailman (1.0rel-1) unstable; urgency=low

  * New upstream version
  * Change the default URL to .../cgi-bin/mailman in mm_cfg.py so the
    cookie authentication code works with the default cgi-bin symlink
  * Some notes about exim and the default url in README.Debian

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Mon,  2 Aug 1999 17:32:07 +0200

mailman (1.0rc3-2) unstable; urgency=low

  * Fix python dependencies (Closes: #41335)

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Thu, 15 Jul 1999 12:39:20 +0200

mailman (1.0rc3-1) unstable; urgency=low

  * New upstream version
  * Add check_perms to the binaries list
  * Fix some permissions which might have been broken by earlier installs
  * Move /var/lib/mailman/logs to /var/lib/mailman/logs.old, put new logs
    to /var/log/mailman

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Wed, 14 Jul 1999 19:12:11 +0200

mailman (1.0rc2-6) unstable; urgency=low

  * Fix cron.d entry (#38492)
  * Fix postint (#40281)

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Sat,  3 Jul 1999 16:14:21 +0200

mailman (1.0rc2-5) stable unstable; urgency=low

  * Fix an incompatibility with the older slink version

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Tue, 22 Jun 1999 17:16:56 +0200

mailman (1.0rc2-4) stable unstable; urgency=high

  * Another small, but very annoying bug fixed in subject prefixing

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Tue, 15 Jun 1999 14:27:00 +0200

mailman (1.0rc2-3) stable unstable; urgency=high

  * Upload for stable & unstable, the .orig.tar.gz files
    would make a mess...

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Tue, 15 Jun 1999 13:36:20 +0200

mailman (1.0rc2-0.slink1) stable; urgency=high

  * Security upload for stable

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Tue, 15 Jun 1999 11:08:50 +0200

mailman (1.0rc2-1) unstable; urgency=high

  * New upstream version
  * Fixes cookie security problem
  * Actually there is a need for the list user for cronjobs, add it
    in preinst if it does not exist

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Tue, 15 Jun 1999 10:05:54 +0200

mailman (1.0rc1-1) unstable; urgency=low

  * New upstream version
  * The version dependency on python is not needed anymore
  * Move the options.html upgrade warning from the update script
    to postinst (version checking)
  * Argh, bad permissions in the previous release

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Tue, 18 May 1999 18:13:03 +0200

mailman (1.0b11-2) unstable; urgency=low

  * Fix problem with python and exim, depend on python (>= 1.5.2)
  * No need for list user, but check for existence of the list group
    and create if not found. Change su to sg in the postinst
    accordingly (addresses #33701 and #36015)
  * Loosen up the cgi-s gid check (#36010)
  * Fix some lintian errors and warnings, not cleaned up completely yet

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Fri, 30 Apr 1999 17:47:32 +0200

mailman (1.0b11-1) unstable; urgency=low

  * New upstream version

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Sat,  3 Apr 1999 18:53:41 +0200

mailman (1.0b10-1) unstable; urgency=low

  * Ugh, didn't have dependency on httpd... fixed
  * New upstream version

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Fri, 26 Mar 1999 18:31:49 +0100

mailman (1.0b9-1) unstable; urgency=low

  * New upstream version

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Mon,  1 Mar 1999 20:23:01 +0100

mailman (1.0b8-3) frozen unstable; urgency=low

  * Upload orig.tar.gz for slink

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Fri,  5 Feb 1999 23:15:16 +0100

mailman (1.0b8-2) frozen unstable; urgency=low

  * Upload for slink (1.0b4 is very buggy)
  * Ugh, fix the maintainer entry in the control file :)
  * Fix the binaries list which link to /usr/sbin
  * Remove dependency on perl (how did it ever happen?!)
  * Remove the recommendation of lists-archives
  * Write a short README.Debian about the debian-specific configuration
    of mailman
  * Remove old directories (created by 1.0b4) in /etc/mailman/

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Wed,  3 Feb 1999 12:43:03 +0100

mailman (1.0b8-1) unstable; urgency=low

  * New upstream version

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Fri, 15 Jan 1999 16:06:36 +0100

mailman (1.0b7-3) unstable; urgency=low

  * Files in /etc/mailman are conffiles now (#23662)
  * Symlink /usr/lib/cgi-bin/mailman to /usr/lib/mailman/cgi-bin
    so there's no need for webserver reconfiguration (#26607)

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Thu, 14 Jan 1999 23:53:07 +0100

mailman (1.0b7-2) unstable; urgency=low

  * Modify the binaries list
  * Don't compileall, it will be done when installed

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Fri,  8 Jan 1999 03:56:14 +0100

mailman (1.0b7-1) unstable; urgency=low

  * Don't check caller gid in mail-wrapper
  * New maintainer
  * New upstream version

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Fri,  8 Jan 1999 02:24:00 +0100

mailman (1.0b4-2) unstable; urgency=low

  * Tweaked mm_archive.py so links to Lists-Archives are not broken.
  * Added recommendation for lists-archives.

 -- Johnie Ingram <johnie@debian.org>  Thu, 18 Jun 1998 01:26:05 -0400

mailman (1.0b4-1) unstable; urgency=low

  * Initial Release.

 -- Johnie Ingram <johnie@debian.org>  Tue, 16 Jun 1998 22:33:38 -0400
